var distance = 7.0;          // Playerとカメラの距離
var playerHeight = 1.0;      // Playerの足下を注目してる状態なので、
                             // へそ上を注目するようにY軸を補正
							 
function LateUpdate () {
	// Camera.mainで、ゲーム中のアクティブなカメラを取得し、
	// transform.positionで座標をplayerと同一の座標に設定する
	Camera.main.transform.position = transform.position;
	
	// Camera.main.transform.rotationに、Vector.back （0,0,-1) * distanceを足すことで、
	// カメラ方向を維持したまま、７メートル後ろへと、右へ１メートル座標をずらす
	
	Camera.main.transform.position += 
    	    Camera.main.transform.rotation * Vector3.back * distance
    	    + Camera.main.transform.rotation * Vector3.right;
	
	// 最後に、プレイヤーの足下を注視してる状態なので、へそ上になるよう、Y軸を補正する
	Camera.main.transform.position.y += playerHeight;
}