var numOfBalloons = 0;

function Awake () {
    // シーン中にあるBalloonの数をカウント
    var balloons: GameObject[] = GameObject.FindGameObjectsWithTag ("Balloon");
    numOfBalloons = balloons.length;
}

function OnGUI () {
    // シーン中に残った風船の数を表示
    GUI.Label ( Rect (0, 0, 100, 60), "Balloons:" + numOfBalloons );
    
    if( numOfBalloons == 0 ){
        // 残りの風船が0だった場合、ステージクリアと表示する
        GUI.Label ( Rect (Screen.width/2 -50, Screen.height/2, 100, 60), 
            "STAGE CLEAR!!" );
    }
}

// 風船が割れた際に呼ばれる関数。引数に風船のObjectを受け取る
function BalloonDidDestroy(balloon : GameObject){
    
    numOfBalloons--;
    
}