//子のオブジェクトが全て破棄されたら、自身を破棄するスクリプト(爆発のパーティクル用)

//スクリプトが有効になった時、Update関数が呼ばれる前に一度呼ばれる(ここではコルーチンにしている)
//子オブジェクトが全て存在しなくなったら、ゲームオブジェクトを破棄する。
function Start(){

    //子のオブジェクトが一つでも存在すれば繰り返す
    while( transform.GetChildCount() != 0 ){
        yield WaitForSeconds(3);    //3秒待つ(ただし関数が実行されるタイミングにより、わずかな時差が生じる)
    }
    GameObject.Destroy( gameObject );   //ゲームオブジェクトを破棄する
}